Skip to main content

Rotate Internal Proxy

POST /api/v1/rotate_internal_proxy

This API initiates a proxy rotation for a LinkedIn account. This is a chargeable operation and assigns a new internal proxy based on the specified location.

Headers​

NameTypeRequired
x-api-keystringYes
x-api-secretstringYes

Request Body​

Schema​

accountIdstringrequiredThe unique identifier of the WeLink account.
locationstringrequiredCountry code for the proxy location (e.g. "US").

Sample Request​

{
"accountId": "string",
"location": "string"
}

Responses​

Webhook Events​

Schema​

messagestringA status or confirmation message from the server.

Sample Response​

{
"message": "string"
}
POST/api/v1/rotate_internal_proxy
x-api-key
x-api-secret